# Day 1 // part 2

I mean actually I wanted to this method first, but then I though, ahhhh that's ugly, so try another way (see part-02-broken) for that.
Yeah and then I struggled a lot until I finally found out what the problem is.

I tried before and now to get a nice regex to skip the 2nd capturing group if it's not there, but then go always would skip it.
So I have to compile two regex now, which, I guess, is not the best method.
But I got to go now and yeah...

PS: Also when debugging, I found this nice website [here](https://jex.im). It shows a visual representation of the regex, which I find quite nice.

